﻿<div class="navbar">
    <div class="navbar-inner">
        <div class="left sliding">
            <a href="#" class="link icon-only back">
                <i class="ionicons ion-android-arrow-forward"></i>
            </a>
        </div>
        <div class="center sliding"> المحادثات</div>
        <div class="right sliding">
            <a ng-click="GoToHome()" class="link icon-only">
                <i class="ionicons ion-home"></i>
            </a>
            <a ng-click="GoToNotifications()" class="link icon-only p-0 spanNotifications" ng-hide="IsVisitor">
                <i id="MessagesNotificationsLoaded" class="ionicons ion-android-notifications-none">
                  <span ng-hide="$parent.$parent.notifyClick" ng-if="NewNotificationsNumber>0" class="badge">{{NewNotificationsNumber}}</span>
                </i>
                <img id="MessagesNotificationsNotLoaded" ng-src="img/puff-White.svg" ng-hide="IsVisitor" />
            </a>
            <a ng-click="GoToSearch()" class="link icon-only">
                <i class="ionicons ion-android-search"></i>
            </a>
        </div>
    </div>
</div>

<!-- Floating Action Button -->
<a ng-click="GoToAdvertisement()" class="floating-button" ng-show="isLoaded">
    <i class="ionicons ion-plus"></i>
</a>

<div id="divInfiniteMessages" class="page-content infinite-scroll pull-to-refresh-content" ng-show="isLoaded">

    <div class="pull-to-refresh-layer">
        <img ng-src="img/puff.svg" class="preloader imgLoader" />
        <div class="pull-to-refresh-arrow"></div>
    </div>

    <div class="content-block" ng-hide="noMessages">
        <div class="row">
            <div class="col-100" long-touch="ItemIsLongTouched(message)" time="800" click-event="GoToChat(message)" ng-repeat="message in messages">
                <div class="card delMsg" ng-class="{'card':true,'delMsg':true,'read':!message.isRead}">
                    <div class="row">
                        <div class="col-20">
                            <img image-loader="{{ message.user.image | generateURL}}" loader="img/puff.svg" place-holder="img/avatar.jpg" class="lazy" />
                        </div>
                        <div class="col-80">
                            <div class="row">
                                <div class="col-100">
                                    <h3>{{message.user.username}}</h3>
                                </div>
                                <div class="col-100" style="margin-top:8px !important">
                                    <h5><i class="ion-android-time"></i> {{message.lastMessage}}</h5>
                                </div>
                            </div>
                            <p>
                                {{message.lastmsg}}
                            </p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="content-block" ng-show="noMessages">
        <img class="imgNoData" src="img/noData.png" height="128" width="128" />
        <p>لا توجد محادثات</p>
    </div>
    <div id="infiniteLoaderMessages" class="infiniteLoader" ng-show="messagesInfiniteLoader">
        <img class="imgLoader" ng-src="img/puff.svg" />
    </div>
</div>